# 經營數據

`GET` `/v1/quote/operatings`

:::warning 僅支援 Longbridge 香港 / 新加坡賬戶
此方法僅支援 Longbridge 香港 / 新加坡賬戶，可查詢任意標的，包括美股。
:::

按財報期獲取經營數據及核心財務指標摘要。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 證券代碼，例如 `AAPL.US` |
| `period` | string | No | 財報期篩選，如 `q1`、`q2`、`q3`、`q4`、`annual` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/operatings?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | No | 經營數據報告列表， |
| `└ id` | string | No | 內部報告 ID |
| `└ report` | string | No | 報告期代碼（如 `af` = 年報） |
| `└ title` | string | No | 報告標題 |
| `└ txt` | string | No | 管理層討論文本 |
| `└ latest` | boolean | No | 是否為最新報告 |
| `└ web_url` | string | No | 完整報告頁面連結 |
| `└ keywords` | array | No | 關鍵詞。 |
| `└ financial` | object | No | 關鍵財務指標 |
| `└ ∟ symbol` | string | No | 證券代碼 |
| `└ ∟ name` | string | No | 標的名稱。 |
| `└ ∟ region` | string | No | 市場地區 |
| `└ ∟ code` | string | No | 股票代碼 |
| `└ ∟ currency` | string | No | 報告貨幣 |
| `└ ∟ report` | string | No | 報告期代碼（如 `af` = 年報） |
| `└ ∟ report_txt` | string | No | 報告期標籤（如 `FY2024`、`Q1 2024`） |
| `└ ∟ indicators` | object[] | No | 財務指標列表， |
| `└ ∟ ∟ field_name` | string | No | 欄位名稱（如 `operating_revenue`） |
| `└ ∟ ∟ indicator_name` | string | No | 顯示名稱 |
| `└ ∟ ∟ indicator_value` | string | No | 格式化數值 |
| `└ ∟ ∟ yoy` | string | No | 同比變化率 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "list": [
      {
        "id": "12345",
        "report": "af",
        "title": "FY2025 Annual Report Summary",
        "txt": "Management discussion...",
        "latest": true,
        "web_url": "https://longbridge.com/wiki/...",
        "financial": {
          "code": "700",
          "currency": "HKD",
          "name": "Tencent",
          "region": "HK",
          "report": "af",
          "indicators": [
            {
              "field_name": "operating_revenue",
              "indicator_name": "Revenue",
              "indicator_value": "678.6B",
              "yoy": "0.0800"
            }
          ]
        }
      }
    ]
  }
}
```
